Skip to main content
POST
/
article-categories
Create an article category
curl --request POST \
  --url https://api.awardee.dev/v1/article-categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sort_order": 0
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "sort_order": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Headers

Idempotency-Key
string

Opaque key that makes this POST safe to retry. Responses are cached for 24h per API key.

Maximum string length: 255

Body

application/json
name
string
required
Minimum string length: 1
slug
string
required
Required string length: 1 - 200
Pattern: ^[a-z0-9-]+$
knowledge_base_id
string<uuid>
required
description
string
icon
enum<string>
Available options:
folder-closed,
folder-open,
book-open,
file-text,
help-circle,
lightbulb,
message-square,
settings,
star,
zap,
shield,
globe,
archive
parent_id
string<uuid>
sort_order
integer
Required range: -9007199254740991 <= x <= 9007199254740991

Response

Category created

object
string
required
Allowed value: "article_category"
id
string<uuid>
required
knowledge_base_id
string<uuid> | null
required
parent_id
string<uuid> | null
required
name
string
required
slug
string
required
description
string | null
required
icon
string
required
sort_order
number
required
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$